=== debian/control ===
Source: ros-dashing-euclidean-cluster-nodes
Section: misc
Priority: extra
Maintainer: Apex.AI, Inc. <opensource@apex.ai>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-autoware-auto-cmake, ros-dashing-autoware-auto-geometry, ros-dashing-autoware-auto-msgs, ros-dashing-euclidean-cluster, ros-dashing-rclcpp, ros-dashing-sensor-msgs, ros-dashing-voxel-grid-nodes, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-euclidean-cluster-nodes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-autoware-auto-geometry, ros-dashing-autoware-auto-msgs, ros-dashing-euclidean-cluster, ros-dashing-rclcpp, ros-dashing-sensor-msgs, ros-dashing-voxel-grid-nodes, ros-dashing-ros-workspace
Description: ROS 2 nodes for various post-processing steps on euclidean clustering.
 For debugging and to decouple algorithm dependencies from ROS 2
